<?php

namespace App\Controller;

use App\Entity\User;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Routing\Attribute\Route;

class OAuth2Controller extends AbstractController
{
    #[Route('/oauth/api/user', name: 'app_oauth_api_user')]
    public function oauthApiUser(): JsonResponse
    {
        /** @var User $user */
        $user = $this->getUser();
        return new JsonResponse([
            'message' => 'Authentification réussie !',
            'email' => $user->getEmail(),
            'name' => $user->getUsername(),
        ]);

    }
} 